#
# spec file for package ghc-vector-fftw
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name vector-fftw
Name:           ghc-%{pkg_name}
Version:        0.1.3.8
Release:        lp150.1.8
Summary:        A binding to the fftw library for one-dimensional vectors
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  fftw3-devel
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-primitive-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-storable-complex-devel
BuildRequires:  ghc-vector-devel

%description
This package provides bindings to the fftw library for one-dimensional vectors.
It provides both high-level functions and more low-level manipulation of fftw
plans.

We provide three different modules which wrap fftw's operations:

- "Numeric.FFT.Vector.Unnormalized" contains the raw transforms;

- "Numeric.FFT.Vector.Invertible" scales the backwards transforms to be true
inverses;

- "Numeric.FFT.Vector.Unitary" additionally scales all transforms to preserve
the L2 (sum-of-squares) norm of the input.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       fftw3-devel
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%doc LICENSE

%files devel -f %{name}-devel.files

%changelog
* Thu Aug  3 2017 psimons@suse.com
- Updated with latest spec-cleaner version 0.9.8-8-geadfbbf.
* Mon Jun 19 2017 psimons@suse.com
- Update to version 0.1.3.8.
* Thu Sep 15 2016 psimons@suse.com
- Update to version 0.1.3.7 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.1.3.6 revision 0 with cabal2obs.
